Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 824)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 827)
@@ -5688,108 +5670,100 @@
             // using the r_vci_cmd_imiss_prio flip-flop.
 
-            size_t      wbuf_min;
-            size_t      wbuf_max;
+            size_t wbuf_min;
+            size_t wbuf_max;
 
             bool dcache_miss_req = r_dcache_vci_miss_req.read() and
-                 ( not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read() );
-
-            bool dcache_ll_req   = r_dcache_vci_ll_req.read() and
-                 ( not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read() );
-
-            bool dcache_sc_req   = r_dcache_vci_sc_req.read() and
-                 ( not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read() );
-
-            bool dcache_cas_req   = r_dcache_vci_cas_req.read() and
-                 ( not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read() );
+                 (not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read());
+
+            bool dcache_ll_req = r_dcache_vci_ll_req.read() and
+                 (not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read());
+
+            bool dcache_sc_req = r_dcache_vci_sc_req.read() and
+                 (not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read());
+
+            bool dcache_cas_req = r_dcache_vci_cas_req.read() and
+                 (not r_icache_miss_req.read() or not r_vci_cmd_imiss_prio.read());
 
             bool icache_miss_req = r_icache_miss_req.read() and
-                 ( not (r_dcache_vci_miss_req.read() or
-                        r_dcache_vci_ll_req.read()   or
-                        r_dcache_vci_cas_req.read()  or
-                        r_dcache_vci_sc_req.read())
-                     or r_vci_cmd_imiss_prio.read() );
+                 (not (r_dcache_vci_miss_req.read() or
+                       r_dcache_vci_ll_req.read()   or
+                       r_dcache_vci_cas_req.read()  or
+                       r_dcache_vci_sc_req.read())  or
+                       r_vci_cmd_imiss_prio.read());
 
             // 1 - Data unc write
-            if ( r_dcache_vci_unc_req.read() and r_dcache_vci_unc_write.read())
+            if (r_dcache_vci_unc_req.read() and r_dcache_vci_unc_write.read())
             {
                 r_vci_cmd_fsm        = CMD_DATA_UNC_WRITE;
                 r_dcache_vci_unc_req = false;
-//                m_cpt_dunc_transaction++;
             }
             // 2 data read miss
-            else if ( dcache_miss_req and r_wbuf.miss(r_dcache_vci_paddr.read()) )
+            else if (dcache_miss_req and r_wbuf.miss(r_dcache_vci_paddr.read()))
             {
                 r_vci_cmd_fsm         = CMD_DATA_MISS;
                 r_dcache_vci_miss_req = false;
                 r_vci_cmd_imiss_prio  = true;
-                m_cpt_dmiss_transaction++;
             }
             // 3 - Data Read Uncachable
-            else if ( r_dcache_vci_unc_req.read() and not r_dcache_vci_unc_write.read() )
+            else if (r_dcache_vci_unc_req.read() and not r_dcache_vci_unc_write.read())
             {
                 r_vci_cmd_fsm        = CMD_DATA_UNC_READ;
                 r_dcache_vci_unc_req = false;
-                m_cpt_dunc_transaction++;
             }
             // 4 - Data Linked Load
-            else if ( dcache_ll_req and r_wbuf.miss(r_dcache_vci_paddr.read()))
+            else if (dcache_ll_req and r_wbuf.miss(r_dcache_vci_paddr.read()))
             {
                 r_vci_cmd_fsm         = CMD_DATA_LL;
                 r_dcache_vci_ll_req   = false;
                 r_vci_cmd_imiss_prio  = true;
-                m_cpt_ll_transaction++;
             }
             // 5 - Instruction Miss
-            else if ( icache_miss_req and r_wbuf.miss(r_icache_vci_paddr.read()) )
+            else if (icache_miss_req and r_wbuf.miss(r_icache_vci_paddr.read()))
             {
                 r_vci_cmd_fsm        = CMD_INS_MISS;
                 r_icache_miss_req    = false;
                 r_vci_cmd_imiss_prio = false;
-                m_cpt_imiss_transaction++;
             }
             // 6 - Instruction Uncachable
-            else if ( r_icache_unc_req.read() )
-            {
-                r_vci_cmd_fsm       = CMD_INS_UNC;
-                r_icache_unc_req    = false;
-                //m_cpt_iunc_transaction++;
+            else if (r_icache_unc_req.read())
+            {
+                r_vci_cmd_fsm    = CMD_INS_UNC;
+                r_icache_unc_req = false;
             }
             // 7 - Data Write
-            else if ( r_wbuf.rok(&wbuf_min, &wbuf_max) )
-            {
-                r_vci_cmd_fsm       = CMD_DATA_WRITE;
-                r_vci_cmd_cpt       = wbuf_min;
-                r_vci_cmd_min       = wbuf_min;
-                r_vci_cmd_max       = wbuf_max;
+            else if (r_wbuf.rok(&wbuf_min, &wbuf_max))
+            {
+                r_vci_cmd_fsm = CMD_DATA_WRITE;
+                r_vci_cmd_cpt = wbuf_min;
+                r_vci_cmd_min = wbuf_min;
+                r_vci_cmd_max = wbuf_max;
                 m_cpt_write_transaction++;
-                m_length_write_transaction += (wbuf_max-wbuf_min+1);
+                m_length_write_transaction += (wbuf_max - wbuf_min + 1);
             }
             // 8 - Data Store Conditionnal
-            else if ( dcache_sc_req and r_wbuf.miss(r_dcache_vci_paddr.read()) )
-            {
-                r_vci_cmd_fsm           = CMD_DATA_SC;
-                r_dcache_vci_sc_req     = false;
-                r_vci_cmd_imiss_prio    = true;
-                r_vci_cmd_cpt           = 0;
-                //m_cpt_sc_transaction++;
+            else if (dcache_sc_req and r_wbuf.miss(r_dcache_vci_paddr.read()))
+            {
+                r_vci_cmd_fsm        = CMD_DATA_SC;
+                r_dcache_vci_sc_req  = false;
+                r_vci_cmd_imiss_prio = true;
+                r_vci_cmd_cpt        = 0;
             }
             // 9 - Compare And Swap
-            else if ( dcache_cas_req and r_wbuf.miss(r_dcache_vci_paddr.read()) )
-            {
-                r_vci_cmd_fsm           = CMD_DATA_CAS;
-                r_dcache_vci_cas_req    = false;
-                r_vci_cmd_imiss_prio    = true;
-                r_vci_cmd_cpt           = 0;
-                //m_cpt_cas_transaction++;
+            else if (dcache_cas_req and r_wbuf.miss(r_dcache_vci_paddr.read()))
+            {
+                r_vci_cmd_fsm        = CMD_DATA_CAS;
+                r_dcache_vci_cas_req = false;
+                r_vci_cmd_imiss_prio = true;
+                r_vci_cmd_cpt        = 0;
             }
 
 #if DEBUG_CMD
-if ( m_debug_activated )
-{
-std::cout << "  <PROC " << name() << " CMD_IDLE>"
-          << " / dmiss_req = " << dcache_miss_req
-          << " / imiss_req = " << icache_miss_req
-          << std::endl;
-}
+            if (m_debug_activated)
+            {
+                std::cout << "  <PROC " << name() << " CMD_IDLE>"
+                    << " / dmiss_req = " << dcache_miss_req
+                    << " / imiss_req = " << icache_miss_req
+                    << std::endl;
+            }
 #endif
             break;
@@ -5798,11 +5772,11 @@
         case CMD_DATA_WRITE:
         {
-            if ( p_vci.cmdack.read() )
+            if (p_vci.cmdack.read())
             {
                 r_vci_cmd_cpt = r_vci_cmd_cpt + 1;
                 if (r_vci_cmd_cpt == r_vci_cmd_max) // last flit sent
                 {
-                    r_vci_cmd_fsm = CMD_IDLE ;
-                    r_wbuf.sent() ;
+                    r_vci_cmd_fsm = CMD_IDLE;
+                    r_wbuf.sent();
                 }
             }
@@ -5814,5 +5788,5 @@
         {
             // The CAS and SC VCI commands contain two flits
-            if ( p_vci.cmdack.read() )
+            if (p_vci.cmdack.read())
             {
                r_vci_cmd_cpt = r_vci_cmd_cpt + 1;
@@ -5830,5 +5804,5 @@
         {
             // all read VCI commands contain one single flit
-            if ( p_vci.cmdack.read() ) {
+            if (p_vci.cmdack.read()) {
                 r_vci_cmd_fsm = CMD_IDLE;
             }
@@ -5865,42 +5839,42 @@
     //////////////////////////////////////////////////////////////////////////
 
-    switch ( r_vci_rsp_fsm.read() )
+    switch (r_vci_rsp_fsm.read())
     {
     //////////////
     case RSP_IDLE:
     {
-        if ( p_vci.rspval.read() )
+        if (p_vci.rspval.read())
         {
             r_vci_rsp_cpt = 0;
-            if (r_dcache_vci_paddr.read() == 0x1f624) std::cout << "Tansaction on barrier, pktid = " <<  p_vci.rpktid.read() << std::endl;
-            if      ( (p_vci.rpktid.read() & 0x7) ==  TYPE_DATA_UNC  )
+
+            if ((p_vci.rpktid.read() & 0x7) ==  TYPE_DATA_UNC)
             {
                 r_vci_rsp_fsm = RSP_DATA_UNC;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_READ_DATA_MISS )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_READ_DATA_MISS)
             {
                 r_vci_rsp_fsm = RSP_DATA_MISS;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_READ_INS_UNC   )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_READ_INS_UNC)
             {
                 r_vci_rsp_fsm = RSP_INS_UNC;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_READ_INS_MISS  )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_READ_INS_MISS)
             {
                 r_vci_rsp_fsm = RSP_INS_MISS;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_WRITE          )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_WRITE)
             {
                 r_vci_rsp_fsm = RSP_DATA_WRITE;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_CAS            )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_CAS)
             {
                 r_vci_rsp_fsm = RSP_DATA_UNC;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) ==  TYPE_LL             )
+            else if ((p_vci.rpktid.read() & 0x7) ==  TYPE_LL)
             {
                 r_vci_rsp_fsm = RSP_DATA_LL;
             }
-            else if ( (p_vci.rpktid.read() & 0x7) == TYPE_SC             )
+            else if ((p_vci.rpktid.read() & 0x7) == TYPE_SC)
             {
                 r_vci_rsp_fsm = RSP_DATA_UNC;
@@ -5916,16 +5890,16 @@
         case RSP_INS_MISS:
         {
-            if ( p_vci.rspval.read() )
-            {
-                if ( (p_vci.rerror.read()&0x1) != 0 )  // error reported
+            if (p_vci.rspval.read())
+            {
+                if ((p_vci.rerror.read() & 0x1) != 0)  // error reported
                 {
                     r_vci_rsp_ins_error = true;
-                    if ( p_vci.reop.read() ) r_vci_rsp_fsm = RSP_IDLE;
+                    if (p_vci.reop.read()) r_vci_rsp_fsm = RSP_IDLE;
                 }
                 else                                        // no error reported
                 {
-                    if ( r_vci_rsp_fifo_icache.wok() )
+                    if (r_vci_rsp_fifo_icache.wok())
                     {
-                        if ( r_vci_rsp_cpt.read() >= m_icache_words )
+                        if (r_vci_rsp_cpt.read() >= m_icache_words)
                         {
                             std::cout << "ERROR in VCI_CC_VCACHE " << name()
@@ -5934,10 +5908,10 @@
                             exit(0);
                         }
-                        r_vci_rsp_cpt                 = r_vci_rsp_cpt.read() + 1;
-                        vci_rsp_fifo_icache_put       = true,
-                        vci_rsp_fifo_icache_data      = p_vci.rdata.read();
-                        if ( p_vci.reop.read() )
+                        r_vci_rsp_cpt            = r_vci_rsp_cpt.read() + 1;
+                        vci_rsp_fifo_icache_put  = true,
+                        vci_rsp_fifo_icache_data = p_vci.rdata.read();
+                        if (p_vci.reop.read())
                         {
-                            if ( r_vci_rsp_cpt.read() != (m_icache_words - 1) )
+                            if (r_vci_rsp_cpt.read() != (m_icache_words - 1))
                             {
                                 std::cout << "ERROR in VCI_CC_VCACHE " << name()
@@ -5946,5 +5920,5 @@
                                 exit(0);
                             }
-                            r_vci_rsp_fsm    = RSP_IDLE;
+                            r_vci_rsp_fsm = RSP_IDLE;
                         }
                     }
@@ -5956,10 +5930,10 @@
         case RSP_INS_UNC:
         {
-            if (p_vci.rspval.read() )
-            {
-                assert( p_vci.reop.read() and
+            if (p_vci.rspval.read())
+            {
+                assert(p_vci.reop.read() and
                 "illegal VCI response packet for uncachable instruction");
 
-                if ( (p_vci.rerror.read()&0x1) != 0 )  // error reported
+                if ((p_vci.rerror.read() & 0x1) != 0)  // error reported
                 {
                     r_vci_rsp_ins_error = true;
@@ -5968,8 +5942,8 @@
                 else                                         // no error reported
                 {
-                    if ( r_vci_rsp_fifo_icache.wok())
+                    if (r_vci_rsp_fifo_icache.wok())
                     {
-                        vci_rsp_fifo_icache_put       = true;
-                        vci_rsp_fifo_icache_data      = p_vci.rdata.read();
+                        vci_rsp_fifo_icache_put  = true;
+                        vci_rsp_fifo_icache_data = p_vci.rdata.read();
                         r_vci_rsp_fsm = RSP_IDLE;
                     }
@@ -5981,33 +5955,30 @@
         case RSP_DATA_MISS:
         {
-            if ( p_vci.rspval.read() )
-            {
-                if ( (p_vci.rerror.read()&0x1) != 0 )  // error reported
+            if (p_vci.rspval.read())
+            {
+                if ((p_vci.rerror.read() & 0x1) != 0)  // error reported
                 {
                     r_vci_rsp_data_error = true;
-                    if ( p_vci.reop.read() ) r_vci_rsp_fsm = RSP_IDLE;
+                    if (p_vci.reop.read()) r_vci_rsp_fsm = RSP_IDLE;
                 }
                 else                                        // no error reported
                 {
-
-
-                    if ( r_vci_rsp_fifo_dcache.wok() && r_vci_rsp_fifo_rpktid.wok())
+                    if (r_vci_rsp_fifo_dcache.wok() and r_vci_rsp_fifo_rpktid.wok())
                     {
-                        assert( (r_vci_rsp_cpt.read() < m_dcache_words) and
+                        assert((r_vci_rsp_cpt.read() < m_dcache_words) and
                         "The VCI response packet for data miss is too long");
 
-                        r_vci_rsp_cpt                 = r_vci_rsp_cpt.read() + 1;
-                        vci_rsp_fifo_dcache_put       = true,
-                        vci_rsp_fifo_dcache_data      = p_vci.rdata.read();
-                        vci_rsp_fifo_rpktid          = (p_vci.rpktid.read() == 0x9);//RWT: interpretation of pktid for state (NCC or CC)
-                        vci_rsp_fifo_rpktid_put      = true;//RWT
-
-                        if ( p_vci.reop.read() )
+                        r_vci_rsp_cpt             = r_vci_rsp_cpt.read() + 1;
+                        vci_rsp_fifo_dcache_put   = true,
+                        vci_rsp_fifo_dcache_data  = p_vci.rdata.read();
+                        vci_rsp_fifo_rpktid       = (p_vci.rpktid.read() == 0x9); //RWT: interpretation of pktid for state (NCC or CC)
+                        vci_rsp_fifo_rpktid_put   = true; //RWT
+
+                        if (p_vci.reop.read())
                         {
-                            if (r_vci_rsp_cpt.read() != m_dcache_words - 1) std::cout << "assert on proc " << name() << std::endl;
-                            assert( (r_vci_rsp_cpt.read() == m_dcache_words - 1) and
+                            assert((r_vci_rsp_cpt.read() == m_dcache_words - 1) and
                             "The VCI response packet for data miss is too short");
 
-                            r_vci_rsp_fsm     = RSP_IDLE;
+                            r_vci_rsp_fsm = RSP_IDLE;
                         }
                     }
@@ -6019,20 +5990,20 @@
         case RSP_DATA_UNC:
         {
-            if (p_vci.rspval.read() )
-            {
-                assert( p_vci.reop.read() and
+            if (p_vci.rspval.read())
+            {
+                assert(p_vci.reop.read() and
                 "illegal VCI response packet for uncachable read data");
 
-                if ( (p_vci.rerror.read()&0x1) != 0 )  // error reported
+                if ((p_vci.rerror.read() & 0x1) != 0)  // error reported
                 {
                     r_vci_rsp_data_error = true;
                     r_vci_rsp_fsm = RSP_IDLE;
                 }
-                else                                         // no error reported
-                {
-                    if ( r_vci_rsp_fifo_dcache.wok())
+                else // no error reported
+                {
+                    if (r_vci_rsp_fifo_dcache.wok())
                     {
-                        vci_rsp_fifo_dcache_put       = true;
-                        vci_rsp_fifo_dcache_data      = p_vci.rdata.read();
+                        vci_rsp_fifo_dcache_put  = true;
+                        vci_rsp_fifo_dcache_data = p_vci.rdata.read();
                         r_vci_rsp_fsm = RSP_IDLE;
                     }
@@ -6044,7 +6015,7 @@
         case RSP_DATA_LL:
         {
-            if ( p_vci.rspval.read() )
-            {
-                if ( (p_vci.rerror.read()&0x1) != 0 )  // error reported
+            if (p_vci.rspval.read())
+            {
+                if ((p_vci.rerror.read() & 0x1) != 0)  // error reported
                 {
                     r_vci_rsp_data_error = true;
@@ -6054,5 +6025,5 @@
                 if (r_vci_rsp_cpt.read() == 0) //first flit
                 {
-                    if(r_vci_rsp_fifo_dcache.wok())
+                    if (r_vci_rsp_fifo_dcache.wok())
                     {
                         assert(!p_vci.reop.read() &&
@@ -6066,5 +6037,5 @@
                 else // last flit
                 {
-                    if(r_vci_rsp_fifo_dcache.wok())
+                    if (r_vci_rsp_fifo_dcache.wok())
                     {
                         assert(p_vci.reop.read() &&
@@ -6084,11 +6055,11 @@
             if (p_vci.rspval.read())
             {
-                assert( p_vci.reop.read() and
+                assert(p_vci.reop.read() and
                 "a VCI response packet must contain one flit for a write transaction");
 
                 r_vci_rsp_fsm = RSP_IDLE;
-                uint32_t   wbuf_index = p_vci.rtrdid.read();
+                uint32_t wbuf_index = p_vci.rtrdid.read();
                 r_wbuf.completed(wbuf_index);
-                if ( (p_vci.rerror.read()&0x1) != 0 ) r_iss.setWriteBerr();
+                if ((p_vci.rerror.read() & 0x1) != 0) r_iss.setWriteBerr();
             }
             break;
@@ -6103,5 +6074,5 @@
     // soon as the request has been sent.
     /////////////////////////////////////////////////////////////////////////////////////
-    switch ( r_cc_send_fsm.read() )
+    switch (r_cc_send_fsm.read())
     {
         ///////////////////////////
@@ -6115,5 +6086,5 @@
             ///////////////////////////////////////////////////////
             bool update_last_client = r_cc_send_last_client.read();
-            if ( r_cc_send_last_client.read() == 0 ) // last client was dcache
+            if (r_cc_send_last_client.read() == 0) // last client was dcache
             {
                 if (r_icache_cc_send_req.read()) // request from icache
@@ -6131,17 +6102,17 @@
             {
                 // the new client is dcache and has a cleanup request
-                if      ( (update_last_client == 0) and
-                          (r_dcache_cc_send_type.read() == CC_TYPE_CLEANUP))
+                if ((update_last_client == 0) and
+                        (r_dcache_cc_send_type.read() == CC_TYPE_CLEANUP))
                     r_cc_send_fsm = CC_SEND_CLEANUP_1;
                 // the new client is dcache and has a multi acknowledgement request
-                else if ( (update_last_client == 0) and
-                          (r_dcache_cc_send_type.read() == CC_TYPE_MULTI_ACK))
+                else if ((update_last_client == 0) and
+                        (r_dcache_cc_send_type.read() == CC_TYPE_MULTI_ACK))
                     r_cc_send_fsm = CC_SEND_MULTI_ACK;
                 // the new client is icache and has a cleanup request
-                else if ( (update_last_client == 1) and
-                          (r_icache_cc_send_type.read() == CC_TYPE_CLEANUP))
+                else if ((update_last_client == 1) and
+                        (r_icache_cc_send_type.read() == CC_TYPE_CLEANUP))
                     r_cc_send_fsm = CC_SEND_CLEANUP_1;
                 // the new client is icache and has a multi acknowledgement request
-                else if ( (update_last_client == 1) and
+                else if ((update_last_client == 1) and
                         (r_icache_cc_send_type.read() == CC_TYPE_MULTI_ACK))
                     r_cc_send_fsm = CC_SEND_MULTI_ACK;
@@ -6165,5 +6136,6 @@
             {
 
-                if(r_dcache_cc_cleanup_updt_data.read() and (r_cc_send_last_client.read() == 0))//dcache request with data
+                if (r_dcache_cc_cleanup_updt_data.read() and
+                        (r_cc_send_last_client.read() == 0)) //dcache request with data
                 {
                     r_cc_send_fsm = CC_SEND_CLEANUP_DATA_UPDT;
@@ -6190,10 +6162,10 @@
             if (p_dspin_p2m.read.read())
             {
-                if(r_cc_send_data_fifo.rok())
+                if (r_cc_send_data_fifo.rok())
                 {
                     m_cpt_data_cleanup++;
                     cleanup_data_updt_fifo_dcache_get = true;
                     r_cc_send_cpt_word = r_cc_send_cpt_word.read() + 1;
-                    if (r_cc_send_cpt_word.read() == m_dcache_words-1)
+                    if (r_cc_send_cpt_word.read() == m_dcache_words - 1)
                     {
                         r_dcache_cc_send_req = false;
@@ -6210,7 +6182,7 @@
         {
             // wait for the flit to be consumed
-            if(p_dspin_p2m.read.read())
-            {
-                if(r_cc_send_last_client.read() == 0) // dcache active request
+            if (p_dspin_p2m.read.read())
+            {
+                if (r_cc_send_last_client.read() == 0) // dcache active request
                     r_dcache_cc_send_req = false; // reset dcache request
                 else // icache active request
@@ -6233,5 +6205,5 @@
     // - CC_BROADCAST  : Broadcast invalidate request (both DCACHE & ICACHE)
     //////////////////////////////////////////////////////////////////////////////
-    switch( r_cc_receive_fsm.read() )
+    switch (r_cc_receive_fsm.read())
     {
         /////////////////////
@@ -6247,5 +6219,5 @@
                                             DspinRwtParam::M2P_TYPE);
                 // test for a broadcast
-                if (DspinRwtParam::dspin_get(receive_data,DspinRwtParam::M2P_BC))
+                if (DspinRwtParam::dspin_get(receive_data, DspinRwtParam::M2P_BC))
                 {
                     r_cc_receive_fsm = CC_RECEIVE_BRDCAST_HEADER;
@@ -6294,10 +6266,10 @@
                 // request dcache to handle the BROADCAST
                 r_cc_receive_dcache_req = true;
-                r_cc_receive_dcache_nline  = DspinRwtParam::dspin_get(receive_data,
+                r_cc_receive_dcache_nline = DspinRwtParam::dspin_get(receive_data,
                                              DspinRwtParam::BROADCAST_NLINE);
                 r_cc_receive_dcache_type = CC_TYPE_INVAL;
                 // request icache to handle the BROADCAST
                 r_cc_receive_icache_req = true;
-                r_cc_receive_icache_nline  = DspinRwtParam::dspin_get(receive_data,
+                r_cc_receive_icache_nline = DspinRwtParam::dspin_get(receive_data,
                                              DspinRwtParam::BROADCAST_NLINE);
                 r_cc_receive_icache_type = CC_TYPE_INVAL;
@@ -6333,10 +6305,10 @@
             uint64_t receive_data = p_dspin_m2p.data.read();
             // for data INVAL, wait for dcache to take the request
-            if (p_dspin_m2p.write.read()           and
-                not r_cc_receive_dcache_req.read() )
+            if (p_dspin_m2p.write.read() and
+                not r_cc_receive_dcache_req.read())
             {
                 // request dcache to handle the INVAL
                 r_cc_receive_dcache_req = true;
-                r_cc_receive_dcache_nline = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_INVAL_NLINE);
+                r_cc_receive_dcache_nline = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_INVAL_NLINE);
                 r_cc_receive_dcache_type = CC_TYPE_INVAL;
                 // get back to idle state
@@ -6352,10 +6324,10 @@
             uint64_t receive_data = p_dspin_m2p.data.read();
             // for ins INVAL, wait for icache to take the request
-            if (p_dspin_m2p.write.read()           and
-                not r_cc_receive_icache_req.read() )
+            if (p_dspin_m2p.write.read() and
+                not r_cc_receive_icache_req.read())
             {
                 // request icache to handle the INVAL
                 r_cc_receive_icache_req = true;
-                r_cc_receive_icache_nline = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_INVAL_NLINE);
+                r_cc_receive_icache_nline = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_INVAL_NLINE);
                 r_cc_receive_icache_type = CC_TYPE_INVAL;
                 // get back to idle state
@@ -6374,5 +6346,5 @@
             if (not r_cc_receive_dcache_req.read())
             {
-                r_cc_receive_dcache_updt_tab_idx  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
+                r_cc_receive_dcache_updt_tab_idx = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_DATA_UPDT_NLINE;
                 break;
@@ -6389,5 +6361,5 @@
             if (not r_cc_receive_icache_req.read())
             {
-                r_cc_receive_icache_updt_tab_idx  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
+                r_cc_receive_icache_updt_tab_idx = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_INS_UPDT_NLINE;
                 break;
@@ -6403,11 +6375,11 @@
             // for data INVAL, wait for dcache to take the request and fifo to
             // be empty
-            if ( r_cc_receive_updt_fifo_be.empty() and
-                 p_dspin_m2p.write.read() )
-            {
-                r_cc_receive_dcache_req = true;
-                r_cc_receive_dcache_nline  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_NLINE);
-                r_cc_receive_word_idx  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_WORD_INDEX);
-                r_cc_receive_dcache_type = CC_TYPE_UPDT;
+            if (r_cc_receive_updt_fifo_be.empty() and
+                 p_dspin_m2p.write.read())
+            {
+                r_cc_receive_dcache_req   = true;
+                r_cc_receive_dcache_nline = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_NLINE);
+                r_cc_receive_word_idx     = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_WORD_INDEX);
+                r_cc_receive_dcache_type  = CC_TYPE_UPDT;
                 // get back to idle state
                 r_cc_receive_fsm = CC_RECEIVE_DATA_UPDT_DATA;
@@ -6423,11 +6395,11 @@
             // for ins INVAL, wait for icache to take the request and fifo to be
             // empty
-            if ( r_cc_receive_updt_fifo_be.empty() and
-                 p_dspin_m2p.write.read() )
-            {
-                r_cc_receive_icache_req = true;
-                r_cc_receive_icache_nline  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_NLINE);
-                r_cc_receive_word_idx  = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_WORD_INDEX);
-                r_cc_receive_icache_type = CC_TYPE_UPDT;
+            if (r_cc_receive_updt_fifo_be.empty() and
+                 p_dspin_m2p.write.read())
+            {
+                r_cc_receive_icache_req   = true;
+                r_cc_receive_icache_nline = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_NLINE);
+                r_cc_receive_word_idx     = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_WORD_INDEX);
+                r_cc_receive_icache_type  = CC_TYPE_UPDT;
                 // get back to idle state
                 r_cc_receive_fsm = CC_RECEIVE_INS_UPDT_DATA;
@@ -6444,9 +6416,9 @@
                 uint64_t receive_data = p_dspin_m2p.data.read();
                 bool     receive_eop  = p_dspin_m2p.eop.read();
-                cc_receive_updt_fifo_be   = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_BE);
-                cc_receive_updt_fifo_data = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_DATA);
+                cc_receive_updt_fifo_be   = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_BE);
+                cc_receive_updt_fifo_data = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_DATA);
                 cc_receive_updt_fifo_eop  = receive_eop;
                 cc_receive_updt_fifo_put  = true;
-                if ( receive_eop ) r_cc_receive_fsm = CC_RECEIVE_IDLE;
+                if (receive_eop) r_cc_receive_fsm = CC_RECEIVE_IDLE;
             }
             break;
@@ -6460,9 +6432,9 @@
                 uint64_t receive_data = p_dspin_m2p.data.read();
                 bool     receive_eop  = p_dspin_m2p.eop.read();
-                cc_receive_updt_fifo_be   = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_BE);
-                cc_receive_updt_fifo_data = DspinRwtParam::dspin_get(receive_data,DspinRwtParam::MULTI_UPDT_DATA);
+                cc_receive_updt_fifo_be   = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_BE);
+                cc_receive_updt_fifo_data = DspinRwtParam::dspin_get(receive_data, DspinRwtParam::MULTI_UPDT_DATA);
                 cc_receive_updt_fifo_eop  = receive_eop;
                 cc_receive_updt_fifo_put  = true;
-                if ( receive_eop ) r_cc_receive_fsm = CC_RECEIVE_IDLE;
+                if (receive_eop) r_cc_receive_fsm = CC_RECEIVE_IDLE;
             }
             break;
